## libjgrapht0.8-java 0.8.1

=== debian/changelog ===
libjgrapht0.8-java (0.8.1-1) unstable; urgency=low

  [ Steffen Moeller ]
  * New upstream version.
  * Moved back to main distribution.

  [ Giovanni Mascellani ]
  * Added myself to the Uploaders: and removed the two previous maintainers
    (on their request)
  * Fixed some lintian warnings
    + Package format switched to 3.0 (quilt).
  * Standards-Version bumped to 3.8.4 (no changes required).
  * Using default-jdk to build, instead of speciying openjdk-6-jdk.
  * All the generated files and binary packages are marked with the
    version of the API, in order to have in the archive both 0.6 and 0.8.
  * General cleanup and other minor fixes.
  * Conflicts with previous versions removed (all files are versioned).
  * Description updated and fixed.
  * debian/copyright updated.
  * Some code with incompatible license removed from the upstream tarball

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Mon, 17 May 2010 21:53:05 +0200

libjgrapht-java (0.7.3-2) experimental; urgency=low

  [ Steffen Moeller ]
  * Moved apidoc into separate -doc package
  * Addded conflict of -doc package to earlier versions of libjgrapht-java
    (thanks to Michael)
  * Added version number to binary package name to resolve issue with
    conflicting APIs between versions 0.6 and 0.7.
  * Updated to standards version 3.8.0
  * Added myself to Uploaders, waiting for Michael's ok for unstable (blocks
    biojava)

 -- Steffen Moeller <moeller@debian.org>  Sun, 13 Jul 2008 14:07:33 +0200

libjgrapht-java (0.7.3-1) experimental; urgency=low

  [ Steffen Moeller ]
  * New upstream version (Closes: #466858)
  * debian/control updates
    - Moved "Homepage" field
    - Indicating pkg-java svn repository

  [ Michael Koch ]
  * Upload to experimental due to API breakage.
  * Rewrote debian/copyright.
  * Generate jar file and symlink correctly.
  * Updated debhelper level to 5.
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Sat, 10 May 2008 07:56:01 +0200

libjgrapht-java (0.6.0-4) unstable; urgency=low

  * Revert compat to 4 for inclusion in etch

 -- Charles Fry <cfry@debian.org>  Sun, 11 Feb 2007 05:14:40 -0500

libjgrapht-java (0.6.0-3) unstable; urgency=low

  * Move clean target dependencies to Build-Depends
  * Modified copyright holder's email per his request

 -- Charles Fry <cfry@debian.org>  Mon, 15 Jan 2007 09:03:29 -0500

libjgrapht-java (0.6.0-2) unstable; urgency=low

  * Build using java-gcj-compat-dev
  * Update to standards version 3.7.2
  * Make pkg-java-maintainers the primary maintainer

 -- Charles Fry <cfry@debian.org>  Wed,  5 Jul 2006 11:41:58 -0400

libjgrapht-java (0.6.0-1) unstable; urgency=low

  * Initial release. (Closes: #342504)

 -- Charles Fry <debian@frogcircus.org>  Thu,  8 Dec 2005 13:26:15 -0500
