=== debian/control ===
Source: libjgrapht0.8-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Build-Depends: cdbs, debhelper (>= 5), ant, default-jdk, junit4,
 libjgraph-java
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libjgrapht-java/branch_0.8
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libjgrapht-java/branch_0.8
Homepage: http://jgrapht.sourceforge.net/

Package: libjgrapht0.8-java
Architecture: all
Depends: openjdk-6-jre | java6-runtime, ${misc:Depends}
Suggests: java-virtual-machine
Provides: libjgrapht-java
Description: mathematical graph theory library for Java
 JGraphT is a free Java graph library that provides mathematical
 graph theory objects and algorithms. JGraphT supports various types of
 graphs including:
  - directed and undirected graphs;
  - graphs with weighted, unweighted, labeled or user-defined edges;
  - various edge multiplicity options, including simple graphs,
    multigraphs and pseudographs;
  - unmodifiable graphs: allow modules to provide "read-only" access
    to internal graphs;
  - listenable graphs: allow external listeners to track modification events;
  - subgraphs: graphs that are auto-updating subgraph views on other graphs;
  - all compositions of above graphs.
 .
 JGraphT is designed to be simple and type-safe (via Java generics): graph
 vertices can be of any objects: Strings, URLs, XML documents, even graphs
 themselves.

Package: libjgrapht0.8-java-doc
Architecture: all
Suggests: www-browser, libjgrapht0.8-java
Depends: ${misc:Depends}
Section: doc
Description: javadoc-generated API for libjgrapht0.8-java
 JGraphT is a free Java graph library that provides mathematical
 graph theory objects and algorithms.
 .
 This package contains the javadoc documentation for JGraphT.
