=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME := /usr/lib/jvm/default-java/

DEB_ANT_BUILD_TARGET := compile
DEB_ANT_INSTALL_TARGET := prepare.distribution
DEB_ANT_TEST_TARGET := test

DEB_JARS := /usr/share/java/jgraph.jar

SOVERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | cut -f 1,2 -d. )

ANT_ARGS := -Dproject.jar=debian/libjgrapht$(SOVERSION)-java/usr/share/java/jgrapht-$(DEB_UPSTREAM_VERSION).jar -Djavadoc.dir=debian/libjgrapht$(SOVERSION)-java-doc/usr/share/doc/libjgrapht$(SOVERSION)-java/apidoc

install/libjgrapht$(SOVERSION)-java::
	dh_link -plibjgrapht$(SOVERSION)-java /usr/share/java/jgrapht-$(DEB_UPSTREAM_VERSION).jar /usr/share/java/jgrapht$(SOVERSION).jar

get-orig-source:
	uscan --force-download --download-version $(DEB_UPSTREAM_VERSION) --rename
