## libjgrapht0.8-java 0.8.3

=== debian/changelog ===
libjgrapht0.8-java (0.8.3-7) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure when converting the README file
  * Removed the -java-doc package
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 05 Oct 2024 14:02:34 +0200

libjgrapht0.8-java (0.8.3-6) unstable; urgency=medium

  * Setting Standards version to 4.6.1:
    - Setting Rules-Requires-Root: no
  * Looking only for version numbers starting with 0.8 in d/watch
  * Raising the version of d/watch to 4
  * Writing repack options in d/watch
  * Repacking using Files-Excluded in d/copyright
  * Depending on debhelper-compat 13, dropping d/compat
  * Updating Homepage field
  * Adding a header to the patch
  * Adding myself as uploader
  * Apply multi-arch hints. + libjgrapht0.8-java-doc: Add Multi-Arch: foreign.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Adding a Lintian override for the embedded Javascript
  * Encoding the README.html file into UTF-8

  [ Giovanni Mascellani ]
  * Update Vcs-* after migration to salsa.

 -- Pierre Gruet <pgt@debian.org>  Wed, 24 Aug 2022 11:50:38 +0200

libjgrapht0.8-java (0.8.3-5) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Replace debian/pom.xml file with net.sf.jgrapht.jgrapht pom.
    (Closes: #740826)
  * wrap-and-sort -sa.
  * Use only Build-Depends field.
  * Vcs-Browser: Use https.
  * Declare compliance with Debian Policy 4.1.2.
  * maven.properties: Build for Java 8.
  * Use https for Format field.
  * Remove --has-package-version flag.
  * Switch from CDBS to DH sequencer. This apparently fixes the build failure
    with Java 9. Thanks to Chris West for the report. (Closes: #874638)
  * Remove libjgrapht0.8-java.dirs.
  * Install javadoc with libjgrapht0.8-java-doc.install file.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Dec 2017 20:36:43 +0100

libjgrapht0.8-java (0.8.3-4) unstable; urgency=medium

  * Team upload.
  * Add maven artifacts (Closes: #740360)
    - Thanks to Matthew Vernon.
  * Bump Standards-Version to 3.9.5 (no changes required).
  * Bump dependency to DH 9.
  * Disable fetching of remote icons in README.html.
    This addresses a lintian error regarding user privacy.

 -- tony mancill <tmancill@debian.org>  Sat, 01 Mar 2014 15:42:59 -0800

libjgrapht0.8-java (0.8.3-3) unstable; urgency=low

  * Upload to unstable.
  * Fix a few lintian warnings.
    + Bump Standards-Version to 3.9.4 (no changes required).

 -- Giovanni Mascellani <gio@debian.org>  Tue, 21 May 2013 10:19:54 +0200

libjgrapht0.8-java (0.8.3-2) experimental; urgency=low

  * Force generation of 1.6-compatible Java classes (LP: #1049716).

 -- Giovanni Mascellani <gio@debian.org>  Thu, 14 Mar 2013 19:14:28 +0100

libjgrapht0.8-java (0.8.3-1) unstable; urgency=low

  * New upstream version.
    - Update debian/copyright.
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Update my email address.
  * Use jh_classpath to fix classpath.

 -- Giovanni Mascellani <gio@debian.org>  Tue, 08 May 2012 18:51:25 +0200
