=== debian/control ===
Source: libjgrapht0.8-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Giovanni Mascellani <gio@debian.org>,
 Pierre Gruet <pgt@debian.org>
Build-Depends:
 ant,
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 junit4,
 libjgraph-java,
 maven-repo-helper
Standards-Version: 4.7.0
Homepage: https://jgrapht.org/
Vcs-Browser: https://salsa.debian.org/java-team/libjgrapht0.8-java
Vcs-Git: https://salsa.debian.org/java-team/libjgrapht0.8-java.git
Rules-Requires-Root: no

Package: libjgrapht0.8-java
Architecture: all
Depends:
 libjgraph-java,
 ${misc:Depends}
Provides:
 libjgrapht-java
Description: mathematical graph theory library for Java
 JGraphT is a free Java graph library that provides mathematical
 graph theory objects and algorithms. JGraphT supports various types of
 graphs including:
  - directed and undirected graphs;
  - graphs with weighted, unweighted, labeled or user-defined edges;
  - various edge multiplicity options, including simple graphs,
    multigraphs and pseudographs;
  - unmodifiable graphs: allow modules to provide "read-only" access
    to internal graphs;
  - listenable graphs: allow external listeners to track modification events;
  - subgraphs: graphs that are auto-updating subgraph views on other graphs;
  - all compositions of above graphs.
 .
 JGraphT is designed to be simple and type-safe (via Java generics): graph
 vertices can be of any objects: Strings, URLs, XML documents, even graphs
 themselves.
