=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME := /usr/lib/jvm/default-java
export CLASSPATH := /usr/share/java/jgraph.jar

%:
	dh $@ --with javahelper,maven_repo_helper

override_dh_auto_build:
	dh_auto_build -- compile prepare.distribution

override_dh_installdocs:
	dh_installdocs
	# Encoding the installed README.html file in UTF-8 instead of ISO-8859.
	iconv -f ISO_8859-1 -t UTF-8 README.html > debian/libjgrapht0.8-java/usr/share/doc/libjgrapht0.8-java/README.html
