=== debian/watch ===
version=4
# use qa.debian.org redirector; see man uscan
opts="dversionmangle=auto, repack, repacksuffix=+dfsg" \
  http://sf.net/jgrapht/ jgrapht-(0\.8[\d.]+)\.tar\.gz
